Name: 		aptitude
Version: 	0.4.4
Release: 	2
License: 	GPL
Summary: 	A curses-based apt frontend
Group: 		System
URL: 		http://www.alinux.tv/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0: 	aptitude-0.4.4-alt1.patch
Patch1:		%{name}-%{version}.diff
Patch2:		aptitude-0.4.4-sigc++-2.2.2.patch
BuildRequires:  apt-devel binutils coreutils gcc glibc-devel gzip libsigc++-devel
BuildRequires:  libstdc++.so.6 zlib-devel make ncurses-devel popt-devel rpm-devel
BuildRequires:	cppunit-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Aptitude is a curses-based apt frontend with a number of useful extended
features, including: a mutt-like syntax for matching packages in a flexible and
extreme flexibility and customization.

Some command line usage for 'apt' without using Aptitude I've
learnt, and to bring you up-to-date with a cool Debian like 
'feel' - can be used like this, within aLinux:

[Most of these techniques are simplified for first time users]

apt-get update  (updates and/or builds the repository cache)
apt-get upgrade (I always run this firstly to set most vitals)
apt-get dist-upgrade (good run after the 'upgrade' secondary)
apt-get install xrick (installs application xrick)
apt-get remove xrick (removes application xrick)
apt-get install xrick chromium- toppler- XParticles+ (installs
xrick & XParticles while removing chromium & toppler all in one).

[Check this out - save ya on typing chars. Yes, wild cards!]

apt-get install xri* toppl*- XParti*- perl-Ext*-
You would think the above removes xrick, etc .. but now your
about to start understanding the power of apt. See for yourself.
Note, think of apt like a database for every file and package
on your system. It understands *everything*. You can use it
like this even. Say your doing something and all of a sudden
the prgram tells you your missing a file ..lets take '/bin/arch'
for instance. "'/bin/arch' not found" - hmm, now what package
could /bin/arch be from... no need to google, 'apt' knows :)


apt-get install /bin/arch  (wow 'util-linux' cool.)
apt-get install /usr/lib/somelib.so (that's missing or remove
it replacing 'install' with 'remove'. (Installs or Removes
the entire package contents of /usr/lib/somelib.so)

apt-shell (command line shell - self explanatory)

apt-get moo (cute Cow - "Have you mooed today?" :)

For the complete index manual for endless apt usage, see
http://www.die.net/doc/linux/man/man8/apt-get.8.html

NOTE: Using Aptitude - Aptitude is nicer Graphical front-end
to APT -  Saves us issuing commands described above. Now, when
using Aptitude - it's another powerfull tool that takes a
while to learn but becomes a breeze when used properly. Saves
us precious time on updates and upgrading in a mouse point &
click tradition. Another small note, aptitude is not as stable
as Synaptic, but it is a little more powerfull then Synaptic.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p0
#patch2 -p1

%build
autoreconf -i -f
%configure \
    --disable-werror \
    --disable-docs \
    --enable-nls
make; make check

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
ln -sf help.txt %{buildroot}/usr/share/aptitude/README
cp FAQ %{buildroot}/usr/share/aptitude
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL NEWS COPYING README TODO aptitude-hackers-guide.txt
%{_bindir}
%{_datadir}
%{_localstatedir}
